http://nimble.{region}.amazonaws.com/2020-08-01/studios/{studioId}<p>Update a Studio resource.</p> <p>Currently, this operation only supports updating the displayName of your studio.</p>
The studio ID.
A friendly name for the studio.
The IAM role that Studio Users will assume when logging in to the Nimble Studio portal.
The IAM role that Studio Admins will assume when logging in to the Nimble Studio portal.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PATCH \2 --url 'http://nimble.{region}.amazonaws.com/2020-08-01/studios/{studioId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://nimble.{region}.amazonaws.com/2020-08-01/studios/{studioId}<p>Update a Studio resource.</p> <p>Currently, this operation only supports updating the displayName of your studio.</p>
The studio ID.
A friendly name for the studio.
The IAM role that Studio Users will assume when logging in to the Nimble Studio portal.
The IAM role that Studio Admins will assume when logging in to the Nimble Studio portal.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PATCH \2 --url 'http://nimble.{region}.amazonaws.com/2020-08-01/studios/{studioId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}